Bug 809647 - sourcing updates.img from installation repository does not work
sourcing updates.img from installation repository does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-04-03 18:41 EDT by Adam Williamson
Modified: 2012-05-12 12:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-17.26-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-12 12:21:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
init.log from failed updates attempt (1.16 MB, text/plain)
2012-05-08 12:17 EDT, Tim Flink
no flags Details

  None (edit)
Description Adam Williamson 2012-04-03 18:41:41 EDT
Prior to noloader landing, anaconda could pull an updates image from the installation repository, following the procedure outlined in this test case:

https://fedoraproject.org/wiki/QA:Testcase_Anaconda_updates.img_via_installation_source

and we require this in the Beta criteria:

"The installer must be able to use an installer update image retrieved from removable media, remote installation source and HTTP server"

("remote installation source")

bcl and wwoods confirm that noloader doesn't currently support this (it also doesn't support local media - that's https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=807982 ).

Per the criteria, this should be nominated as a Beta blocker. But I'm not sure we really should require these delivery methods to work at Beta.
Comment 1 Adam Williamson 2012-04-03 21:37:35 EDT
Discussed at 2012-04-03 emergency blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-04-03/fedora-meeting.2012-04-03-23.08.html . We agreed that the relevant criterion should be made a Final criterion rather than a Beta criterion. Note that the criterion was only recently created and it was really just a coin flip whether we made it Beta or Final. We developed a solid consensus at the meeting that we really don't need any delivery method besides http/ftp to work at Beta. Having them working at Final is fine.

Accordingly, this bug is accepted as a Final blocker, rather than a Beta blocker. It is accepted as Beta NTH, but a fix is unlikely to make Beta.

See the mailing list thread for the discussion when the criterion was created - https://lists.fedoraproject.org/pipermail/test/2012-February/105681.html . Only myself and Petr Schindler really got involved in the discussion. (The earlier mails come from January).

I will adjust the criteria and install matrix template as appropriate.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Will Woods 2012-05-01 16:58:04 EDT
This patch has been proposed to fix this problem:

https://www.redhat.com/archives/anaconda-devel-list/2012-April/msg00349.html

It should be in the next anaconda build.
Comment 3 Adam Williamson 2012-05-08 02:19:35 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2012-05-08 02:22:50 EDT
TC3 should include the fix for this. We just need to re-test it.
Comment 5 Tim Flink 2012-05-08 11:44:31 EDT
Tested with anaconda-17.25 (repo created from F17 Final TC3 x86_64 DVD) and the update was not applied.

I put a valid updates.img in <repo_root>/images and PXE booted using repo=<repo_root>

While the installer appears to boot without issue, the updates.img isn't downloaded. I'm not quite sure which logs are needed to help diagnose this but it doesn't take long to reproduce.
Comment 6 Tim Flink 2012-05-08 12:17:41 EDT
Created attachment 583042 [details]
init.log from failed updates attempt

I grabbed the init.log from the failed test.

My setup is:
 - repo created from F17 Final TC3 (accessed over http)
 - PXE boot x86_64 host using repo=
Comment 7 Adam Williamson 2012-05-08 16:06:21 EDT
setting back to ASSIGNED based on tflink's test. :( will, can you take a look?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Fedora Update System 2012-05-09 20:01:41 EDT
anaconda-17.26-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.26-1.fc17
Comment 9 Tim Flink 2012-05-10 12:58:38 EDT
Tested with http repo and TC4 x86_64 over PXE - updates.img was retrieved and applied. Setting to VERIFIED
Comment 10 Fedora Update System 2012-05-10 16:40:06 EDT
Package anaconda-17.26-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.26-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7623/anaconda-17.26-1.fc17
then log in and leave karma (feedback).
Comment 11 Adam Williamson 2012-05-11 01:57:17 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Fedora Update System 2012-05-12 12:21:13 EDT
anaconda-17.26-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.